Skip to main content
PATCH
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
variables
/
{variableId}
Error
A valid request URL is required to generate request examples
{
  "status": "<string>",
  "code": 123
}

Authorizations

Authorization
string
header
required

Path Parameters

projectId
string
required
environmentId
string
required
variableId
string
required

Body

application/json
name
string

Name of the variable

attributes
Arbitrary attributes · object

Arbitrary attributes attached to this resource

value
string

Value of the variable

is_json
boolean

The variable is a JSON string

is_sensitive
boolean

The variable is sensitive

visible_build
boolean

The variable is visible during build

visible_runtime
boolean

The variable is visible at runtime

application_scope
string[]

Applications that have access to this variable

is_enabled
boolean

The variable is enabled on this environment

is_inheritable
boolean

The variable is inheritable to child environments

Response

default - application/json
status
string
required

The status text of the response

code
integer
required

The status code of the response